--- a
+++ b/tests/run.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# exit if one of the commands here fail
+set -e
+
+cwd=$(dirname ${0})
+
+(
+	# change current working directory to the directory,
+	# where this script is located.
+	cd ${cwd};
+
+	# execute several commands
+	echo "*** Project: Build Bootapplication"
+	../codesys-ide/codesys build-bootapp
+	echo "*** Project: Save Project Archive"
+	../codesys-ide/codesys save-projectarchive
+	echo "*** Library: Compile Library"
+	../codesys-ide/codesys compile-library
+	echo "*** Library: Export Documentation"
+	../codesys-ide/codesys export-documentation
+	
+)
+
+echo "*** SUCCESS"